Bug 12467 - vmsumubm emitted when vmsummbm appropriate
Summary: vmsumubm emitted when vmsummbm appropriate
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.3
: P2 normal
Target Milestone: 3.3.3
Assignee: Andrew Pinski
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2003-09-30 18:34 UTC by Mike LeBlanc
Modified: 2003-12-05 03:54 UTC (History)
1 user (show)

See Also:
Host: powerpc-host_unknown-linux-gnu
Target: powerpc-sky-linux-gnualtivec
Build: powerpc-host_unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2003-12-05 03:42:20


Attachments
Patch to fix this (319 bytes, patch)
2003-12-05 03:42 UTC, Andrew Pinski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike LeBlanc 2003-09-30 18:34:50 UTC
See gcc-3.4-20030924/gcc/config/rs6000/altivec.md, line 673.  Change
vmsumubm to vmsummbm.  That is, the bug persists through this snapshot.

    667 (define_insn "altivec_vmsummbm"
    668   [(set (match_operand:V4SI 0 "register_operand" "=v")
    669         (unspec:V4SI [(match_operand:V16QI 1 "register_operand" "v")
    670                       (match_operand:V16QI 2 "register_operand" "v")
    671                       (match_operand:V4SI 3 "register_operand" "v")] 66))]
    672   "TARGET_ALTIVEC"
    673   "vmsumubm %0,%1,%2,%3"
    674   [(set_attr "type" "veccomplex")])

BTW, on this bug submission page, there is no way to attach files to conform,
I think, to the guidelines.
Comment 1 Andrew Pinski 2003-09-30 18:41:44 UTC
Can you submit a patch to gcc-patches@?
Comment 2 Andrew Pinski 2003-12-05 03:42:08 UTC
Created attachment 5277 [details]
Patch to fix this
Comment 3 CVS Commits 2003-12-05 03:48:46 UTC
Subject: Bug 12467

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	pinskia@gcc.gnu.org	2003-12-05 03:48:40

Modified files:
	gcc            : ChangeLog 
	gcc/config/rs6000: altivec.md 

Log message:
	2003-12-04  Andrew Pinski  <pinskia@physics.uc.edu>
	
	PR target/12467
	* config/rs6000/altivec.md (altivec_vmsummbm): Fix typo.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.1918&r2=2.1919
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/altivec.md.diff?cvsroot=gcc&r1=1.10&r2=1.11

Comment 4 CVS Commits 2003-12-05 03:53:11 UTC
Subject: Bug 12467

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	pinskia@gcc.gnu.org	2003-12-05 03:53:04

Modified files:
	gcc            : ChangeLog 
	gcc/config/rs6000: altivec.md 

Log message:
	2003-12-04  Andrew Pinski  <pinskia@physics.uc.edu>
	
	PR target/12467
	* config/rs6000/altivec.md (altivec_vmsummbm): Fix typo.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.825&r2=1.16114.2.826
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/altivec.md.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.1.22.2&r2=1.1.22.3

Comment 5 Andrew Pinski 2003-12-05 03:54:15 UTC
Fixed for 3.3.3 and 3.4.